#include<iostream>	
#include"date.h"	
	

/* get functions */

int date::getDay()
{
	return day;
}
int date::getMonth()
{
	return month;
}	
int date::yetYear()
{
	return year;
}	

/*set functions*/
					
void date::setDay(int d)
{
	//have to differentiate based on the month
	if (month==1 || month==3 || month==5 || month==7 || month==8 || month==10 || month==12)
	{
		//between 1 and 31
		if (d>=1 && d<=31)
			day = d;
		else
			day = 1;
	}
	else if (month==4 || month==6 || month==9 || month==11)
	{
		//between 1 and 30
		day = ((d>=1 && d<=30) ? d : 1);
	}
	else
	{
		//have to realise leap year or not
		if (isLeapYear(year))
		{
			//between 1 and 29)
			day = ((d>=1 && d<=29) ? d : 1);
		}
		else
		{
			//between 1 and 28
			day = ((d>=1 && d<=28) ? d : 1);
		}
	}
}
void date::setMonth(int m)
{
	//have to check that the month is between 1 and 12
	if (m>=1 && m<=12)
		month = m;
	else
		month = 1;
}
void date::setYear(int y)
{
	year = y;
}

/* the constructor*/
	
date::date(int d, int m, int y)
{
	setYear(y);
	setMonth(m);
	setDay(d);
	
}

/* the print
	a function to output the 'object' details in
	a format that we want */	
void date::print()
{
	std::cout << day << "/" << month << "/" << year;
}
bool date::isLeapYear(int y)
{
	if ((y%400==0) || (y%100!=0 && y%4==0))
		return true;
	else
		return false;
}
void date::operator+=(int toadd)
{
	//so now we need to increase the day by toadd...
	//but what if it is the end of the end of the month
	//or indeed the end of the year??? we program accordingly
	//ASSUMPTION the number to add will be a value between 1 and 28.
	
}

