#include"time.h"		// let this file know about the specification
#include<iostream>		//note system files use < > while user files use " "
#include<iomanip>
using namespace std;

//get methods		//the simplest of them all, 
					//just return what the value 
					//of the attribute is
int time::getHours() {				
	return hours;
}
int time::getMinutes() {
	return minutes;
}
int time::getSeconds() {
	return seconds;
}














//set methods		//in these we want to change the attribute
					//we want to apply a new value that is coming
					//in as an argument
void time::setHours(int hrs) {
	//valid values for hours: 0, 1..23		//so we must validate !!!
	if (hrs<0 || hrs>23)
	{
		//cannot use the value				//don't ask the user, use the default
		hours = 0;
	}
	else
	{
		//can use the value					//assign the new value
		hours = hrs;
	}
}

void time::setMinutes(int mns)  {
	if (mns<0 || mns>59)
	{
		//unusable, go to default
		minutes = 0;
	}
	else {
		minutes = mns;
	}
}
void time::setSeconds(int scs) {
	if (scs>=0 && scs<=59)
	{
		seconds = scs;
	}
	else
	{
		//cannot use it, use default
		seconds = 0;
	}
}

//constructor		//the constructor simply 
					//calls the set methods in order to
					//initialise the object with valid
					//values
time::time(int hrs, int mns, int scs) {
	setHours(hrs);
	setMinutes(mns);
	setSeconds(scs);
}








//print				//use this to print the time object
					//as a whole 'thing'
void time::print() {
	
	//cout << hours << ":" << minutes << ":" << seconds  <<endl;
	//doing the above if we have single digit numbers we produce
	//peculiar looking time: 9:4:34.... better if: 09:04:34
	
	//for this we use iomanip, setw and setfill
	
	cout << setfill('0');
	cout << setw(2) << hours << ":" 
		<< setw(2) << minutes << ":" 
		<< setw(2) << seconds << endl;
}











