//preprocessor directives to avoid including 
//the file more than once in a program
#ifndef VDATE
#define VDATE

class vdate
{
private:	 
//when something is declared as private we 
//can only see it inside the class
	int day;
	int month;
	int year;
	

public:
//anything declared public can be seen inside and 
//outside of the class (i.e the driver program)

//declare 1 get function for each data attribute 
//that will return the current value of the attribute
	int getDay();	
	int getMonth();	
	int getYear();	
	
//delcare 1 set function for each attribute that will 
//allow used to change the current attribute value
	void setDay(int);
	void setMonth(int);
	void setYear(int);
	
//create the default constructor, a function with the 
//same name as the class using default arguments
	vdate(int=1, int=1, int=2020);
	
//(for now) create a function to print instance objects of the class
	void print();
	
//a function to realise if a year is leap
	bool isLeapYear(int);
};
#endif
