//preprocessor directives to avoid including 
//the file more than once in a program
#ifndef DATE2
#define DATE2
#include<iostream>
using namespace std;

class date2
{
	friend ostream& operator<<(ostream&, date2&)
	
private:	 
//when something is declared as private we 
//can only see it inside the class
	int day;
	int month;
	int year;
	
//additional (utility) function, kept private
	bool isLearYear(int);
	
public:
//anything declared public can be seen inside and 
//outside of the class (i.e the driver program)

//declare 1 get function for each data attribute 
//that will return the current value of the attribute
	int getDay();	
	int getMonth();	
	int yetYear();	
	
//delcare 1 set function for each attribute that will 
//allow used to change the current attribute value
	void setDay(int);
	void setMonth(int);
	void setYear(int);
	
//create the default constructor, a function with the 
//same name as the class using default arguments
	date2(int=1, int=1, int=2015);
	
//(for now) create a function to print instance objects of the class
	//void print();
	
//a function to realise if a year is leap
	bool isLeapYear(int);
	
//overloading += 
//commented out first to demonstrate the error
	void operator+=(int);
};
#endif
