#include<string>
#include<iostream>
#include"tanker.h"
using namespace std;

ostream& operator<<(ostream& screen, tanker& object)
{
	screen << object.name << ", " << object.weight << ", " << object.volume << endl;
	return screen;
}
istream& operator>>(istream& keyb, tanker& object)
{
	string tn;
	double tw, tv;
	cout << "Please enter the details of the tanker\nUsage: name weight volume: ";
	//keyb >> object.name >> object.weight >> object.volume;
	keyb >> tn >> tw >> tv;
	object.setName(tn);
	object.setWeight(tw);
	object.setVolume(tv);
	return keyb;
}

void tanker::setName(string na)
{
	name = (na.size()>0 ? na: "unamed");
}

void tanker::setWeight(double we)
{
	weight = (we>0 ? we : 0);
}

void tanker::setVolume(double vo)
{
	volume = (vo>0 ? vo : 0);
}

string tanker::getName()
{
	return name;
}

double tanker::getWeight()
{
	return weight;
}

double tanker::getVolume()
{
	return volume;
}

tanker::tanker(string na, double we, double vo)
{
	setName(na);
	setWeight(we);
	setVolume(vo);
}

//overloading
bool tanker::operator==(tanker& other)
{

	if (weight==other.getWeight() && volume == other.volume)
		return true;
	else
		return false;
}









bool tanker::operator!=(tanker& other)
{
	//return !((*this)==other);
	
	if (weight!=other.getWeight() && volume != other.volume)
		return true;
	else
		return false;

}
bool tanker::operator>(tanker& other)
{
	if (weight>other.getWeight() && volume > other.volume)
		return true;
	else
		return false;

}
bool tanker::operator<(tanker& other)
{
	if (weight<other.getWeight() && volume < other.volume)
		return true;
	else
		return false;
}
bool tanker::operator>=(tanker& other)
{
	if (weight>=other.getWeight() && volume >= other.volume)
		return true;
	else
		return false;
	
	//return !((*this)<other);	
	
}
bool tanker::operator<=(tanker& other)
{
	if (weight<=other.getWeight() && volume <= other.volume)
		return true;
	else
		return false;
	
	//return !((*this)>other);
}



tanker& tanker::operator+=(double x)
{
	weight+=x;
	volume+=x;
	return (*this);
}
tanker& tanker::operator-=(double x)
{
	if (x>weight || x>volume) {
		//not possible
		cout << "invalid value, cannot have negative weight or volume\n";
	}
	else
	{
		weight-=x;
		volume-=x;	
	}
	return (*this);
}



tanker& tanker::operator++(int dummy)		//tanker++ (postfix)
{
	//hold the originla
	static tanker old;
	old = (*this);
	weight+=1000;
	volume+=1000;
	return (old);	
}
tanker& tanker::operator++()			//++tanker (pre-fix)
{
	weight+=1000;
	volume+=1000;
	return (*this);
}
tanker& tanker::operator--(int dummy )
{
	static tanker old;
	old = (*this);
	//weight-=1000;
	//volume-=1000;
	(*this)-=1000;
	return (old);
}
tanker& tanker::operator--()
{
	//weight-=1000;
	//volume-=1000;
	(*this)-=1000;
	return (*this);
}
